members.dev
Benefit schedules

Get Benefit Schedule

GET
/v1/schedules/{benefit_schedule_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

benefit_schedule_id*string

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/schedules/string"
{
  "id": "string",
  "user_id": "string",
  "status": "scheduled",
  "starts_at": null,
  "recurring": {
    "recurring_type": "never"
  },
  "expiry": {
    "expiry_type": "never"
  },
  "benefit_grants": [
    {
      "benefit_id": "string",
      "value_initial": 0,
      "expiry": {
        "expiry_type": "never"
      }
    }
  ],
  "parent": {
    "subscription_id": "string",
    "product_id": "string"
  },
  "state_transitions": {
    "started_at": {},
    "past_due_at": {},
    "canceled_at": {},
    "expired_at": {},
    "revoked_at": {}
  },
  "next_update": {
    "updates_at": null,
    "update_type": "activates"
  },
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}